Commit aef06ecd authored by kuhnm's avatar kuhnm

Merge branch 'master' of...

Merge branch 'master' of atreus.informatik.uni-tuebingen.de:advanced_computer_architecture/exercises
parents 14f27a3f 651deea7
*.md
*.pyc
*~
*.pid
output/
\ No newline at end of file
# Praktikum Rechnerarchitektur
Dieses repository enthält die Aufgaben für das Praktikum:
*Advanced Computer Architecture*
## Getting started
pip install pelican markdown
./develop_server.sh start 8080
Advanced Computer Architecture im Sommersemester 2016
\ No newline at end of file
url:
save_as: index.html
title: Start
# Übungen: Parallele Rechnerarchitekturen Sommersemester 2016
##
## Übersicht
| Datum | Thema | Betreuer ¦ Aufgaben |
|------------|---------------------------------|-------------------|-----------------|
| 15.04.2016 | entfällt | -- | Blatt 1 |
| 22.04.2016 | Einführung GEM5 | Christoph/Michael | |
| 29.04.2016 | Simulationstechniken (Blatt 1) | Christoph/Michael | Blatt 2 |
| 06.05.2016 | Sprechstunde | Michael | |
| 13.05.2016 | Besprechung Blatt 2 | Christoph/Michael | Blatt 3 |
| 20.05.2016 | entfällt | -- | |
| 27.05.2016 | Sprechstunde | Christoph | |
| 03.06.2016 | Besprechung Blatt 3 | Christoph/Michael | Blatt 4 |
| 10.06.2016 | Sprechstunde | Michael | |
| 17.06.2016 | Besprechung Blatt 4 | Christoph/Michael | Blatt 5 |
| 24.06.2016 | Sprechstunde | Michael | |
| 01.07.2016 | Besprechung Blatt 5 | Christoph/Michael | Blatt 6 |
| 08.07.2016 | Sprechstunde | Michael | |
| 15.07.2016 | Besprechung Blatt 6 | Christoph/Michael | |
| 22.07.2016 | Prüfungsvorbereitung | Christoph | |
\ No newline at end of file
# Übungen: Parallele Rechnerarchitekturen Sommersemester 2016
##
## Übersicht
| Datum | Thema |Betreuer ¦ Aufgaben |
|------------|---------------------------------|-------------------|-----------------|
| 15.04.2016 | entfällt | -- | Blatt 1 |
| 22.04.2016 | Einführung GEM5 | Christoph/Michael | |
| 29.04.2016 | Simulationstechniken (Blatt 1) | Christoph/Michael | Blatt 2 |
| 06.05.2016 | Sprechstunde | Michael | |
| 13.05.2016 | Besprechung Blatt 2 | Christoph/Michael | Blatt 3 |
| 20.05.2016 | entfällt | -- | |
| 27.05.2016 | Sprechstunde | Christoph | |
| 03.06.2016 | Besprechung Blatt 3 | Christoph/Michael | Blatt 4 |
| 10.06.2016 | Sprechstunde | Michael | |
| 17.06.2016 | Besprechung Blatt 4 | Christoph/Michael | Blatt 5 |
| 24.06.2016 | Sprechstunde | Michael | |
| 01.07.2016 | Besprechung Blatt 5 | Christoph/Michael | Blatt 6 |
| 08.07.2016 | Sprechstunde | Michael | |
| 15.07.2016 | Besprechung Blatt 6 | Christoph/Michael | |
| 22.07.2016 | Prüfungsvorbereitung | Christoph | |
\ No newline at end of file
#!/usr/bin/env bash
##
# This section should match your Makefile
##
PY=${PY:-python}
PELICAN=${PELICAN:-pelican}
PELICANOPTS=
BASEDIR=$(pwd)
INPUTDIR=$BASEDIR/content
OUTPUTDIR=$BASEDIR/output
CONFFILE=$BASEDIR/pelicanconf.py
###
# Don't change stuff below here unless you are sure
###
SRV_PID=$BASEDIR/srv.pid
PELICAN_PID=$BASEDIR/pelican.pid
function usage(){
echo "usage: $0 (stop) (start) (restart) [port]"
echo "This starts Pelican in debug and reload mode and then launches"
echo "an HTTP server to help site development. It doesn't read"
echo "your Pelican settings, so if you edit any paths in your Makefile"
echo "you will need to edit your settings as well."
exit 3
}
function alive() {
kill -0 $1 >/dev/null 2>&1
}
function shut_down(){
PID=$(cat $SRV_PID)
if [[ $? -eq 0 ]]; then
if alive $PID; then
echo "Stopping HTTP server"
kill $PID
else
echo "Stale PID, deleting"
fi
rm $SRV_PID
else
echo "HTTP server PIDFile not found"
fi
PID=$(cat $PELICAN_PID)
if [[ $? -eq 0 ]]; then
if alive $PID; then
echo "Killing Pelican"
kill $PID
else
echo "Stale PID, deleting"
fi
rm $PELICAN_PID
else
echo "Pelican PIDFile not found"
fi
}
function start_up(){
local port=$1
echo "Starting up Pelican and HTTP server"
shift
$PELICAN --debug --autoreload -r $INPUTDIR -o $OUTPUTDIR -s $CONFFILE $PELICANOPTS &
pelican_pid=$!
echo $pelican_pid > $PELICAN_PID
cd $OUTPUTDIR
$PY -m pelican.server $port &
srv_pid=$!
echo $srv_pid > $SRV_PID
cd $BASEDIR
sleep 1
if ! alive $pelican_pid ; then
echo "Pelican didn't start. Is the Pelican package installed?"
return 1
elif ! alive $srv_pid ; then
echo "The HTTP server didn't start. Is there another service using port" $port "?"
return 1
fi
echo 'Pelican and HTTP server processes now running in background.'
}
###
# MAIN
###
[[ ($# -eq 0) || ($# -gt 2) ]] && usage
port=''
[[ $# -eq 2 ]] && port=$2
if [[ $1 == "stop" ]]; then
shut_down
elif [[ $1 == "restart" ]]; then
shut_down
start_up $port
elif [[ $1 == "start" ]]; then
if ! start_up $port; then
shut_down
fi
else
usage
fi
#!/usr/bin/env python
# -*- coding: utf-8 -*- #
from __future__ import unicode_literals
AUTHOR = u'Christoph Gerum, Michael Kuhn'
SITENAME = u'\xdcbungen Parallele Rechnerarchitektur'
SITEURL = ''
PATH = 'content'
TIMEZONE = 'Europe/Berlin'
DEFAULT_LANG = u'de'
# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None
# Blogroll
LINKS = (('Pelican', 'http://getpelican.com/'),
('Python.org', 'http://python.org/'),
('Jinja2', 'http://jinja.pocoo.org/'),
('You can modify those links in your config file', '#'),)
# Social widget
SOCIAL = (('You can add links in your config file', '#'),
('Another social link', '#'),)
DEFAULT_PAGINATION = False
# Uncomment following line if you want document-relative URLs when developing
RELATIVE_URLS = True
#!/usr/bin/env python
# -*- coding: utf-8 -*- #
from __future__ import unicode_literals
# This file is only used if you use `make publish` or
# explicitly specify it as your config file.
import os
import sys
sys.path.append(os.curdir)
from pelicanconf import *
SITEURL = ''
RELATIVE_URLS = False
FEED_ALL_ATOM = 'feeds/all.atom.xml'
CATEGORY_FEED_ATOM = 'feeds/%s.atom.xml'
DELETE_OUTPUT_DIRECTORY = True
# Following items are often useful when publishing
#DISQUS_SITENAME = ""
#GOOGLE_ANALYTICS = ""
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment